QGIS master crashes loading 1.8 projects with pseudocolor
Status: Closed

Priority: Severe/Regression

Assignee: Radim Blazek

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16117

Description

If I have a project containing a psudocoloured image in 1.8 and then try to load it in 2.0 I get a crash with the following traceback:

{{{

0    raise    /lib/x86_64-linux-gnu/libc.so.6    0    0x7ffff0e10425    

1    abort    /lib/x86_64-linux-gnu/libc.so.6    0    0x7ffff0e13b8b    

2    myMessageOutput    main.cpp    209    0x556e27    

3    qt_message_output(QtMsgType, char const*)    /usr/lib/x86_64-linux-gnu/libQtCore.so.4    0    0x7ffff39053d0    

4    ??    /usr/lib/x86_64-linux-gnu/libQtCore.so.4    0    0x7ffff3905838    

5    qFatal(char const*, ...)    /usr/lib/x86_64-linux-gnu/libQtCore.so.4    0    0x7ffff39059c4    

6    QVector<unsigned int>::operator[]    qvector.h    359    0x7ffff4d252d3    

7    QgsPalettedRasterRenderer::block    qgspalettedrasterrenderer.cpp    197    0x7ffff4d24952    

8    QgsRasterResampleFilter::block    qgsrasterresamplefilter.cpp    174    0x7ffff4d1b996    

9    QgsRasterProjector::block    qgsrasterprojector.cpp    712    0x7ffff4cea382    

10    QgsRasterIterator::readNextRasterPart    qgsrasteriterator.cpp    101    0x7ffff4cf75e2    

11    QgsRasterDrawer::draw    qgsrasterdrawer.cpp    63    0x7ffff4d10e8d    

12    QgsRasterLayer::draw    qgsrasterlayer.cpp    842    0x7ffff4cfbe9e    

13    QgsRasterLayer::previewAsPixmap    qgsrasterlayer.cpp    2190    0x7ffff4d02c55    

14    QgsLegendLayer::getOriginalPixmap    qgslegendlayer.cpp    401    0x825ebc    

15    QgsLegendLayer::updateIcon    qgslegendlayer.cpp    319    0x8259ae    

16    QgsLegendLayer::QgsLegendLayer    qgslegendlayer.cpp    98    0x82451b    

17    QgsLegend::addLayers    qgslegend.cpp    1001    0x8119df    

18    QgsLegend::qt_static_metacall    moc_qgslegend.cxx    163    0x888b6b    

19    QMetaObject::activate(QObject*, QMetaObject const*, int, void**)    /usr/lib/x86_64-linux-gnu/libQtCore.so.4    0    0x7ffff3a21f5f    

20    QgsMapLayerRegistry::layersAdded    moc_qgsmaplayerregistry.cxx    125    0x7ffff4d4d091    

...    <More>                

}}}

I can replicate this by creating a small palletted image in 1.8 (which loads fine there) and then trying to load it in QGIS master (which

crashes). I have made a test to demonstrate this which I will reference in this ticket shortly.

I've made this ticket a blocker as it instantly crashes QGIS when loading many valid older projects which is not a good user experience.

Associated revisions

Revision 3e33cf8d - 2013-01-25 01:22 AM - Radim Blazek

more robust raster color map conversion from 1.8 project and style file, fixes #7023
Revision c8859ecb - 2013-01-29 08:36 PM - Jürgen Fischer

oracle provider: fix support for geometryless tables (fixes #7023)

History

#1 - 2013-01-24 04:24 PM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"3e33cf8d8613a182aa64857d5375526b1fb6444a".
